Bug 1008083 - (hoogle) Review Request: hoogle - Haskell API Search
Review Request: hoogle - Haskell API Search
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: js-jquery1
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 10:01 EDT by Jens Petersen
Modified: 2015-01-08 23:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-09-14 10:01:18 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/hoogle.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/hoogle-4.2.16-1.fc19.src.rpm

Description:
Hoogle is a Haskell API search engine, which allows you to search many standard
Haskell libraries by either function name, or by approximate type signature.
Comment 1 Jens Petersen 2013-09-14 10:01:24 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5934949
Comment 2 Jens Petersen 2013-09-14 10:38:52 EDT
Later versions need haskell-src-exts 1.14 which (may) breaks Agda for example.
Comment 3 Shakthi Kannan 2013-09-19 08:18:13 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
=======
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: ghc-hoogle-devel. Does not provide -static: ghc-
  hoogle-devel.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 1239040 bytes in 64 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-hoogle
[x]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1443840 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: hoogle-4.2.16-1.fc19.x86_64.rpm
          ghc-hoogle-4.2.16-1.fc19.x86_64.rpm
          ghc-hoogle-devel-4.2.16-1.fc19.x86_64.rpm
          hoogle-4.2.16-1.fc19.src.rpm
hoogle.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/hoogle-4.2.16/README.txt
hoogle.x86_64: W: no-manual-page-for-binary hoogle
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-hoogle-devel ghc-hoogle hoogle
hoogle.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/hoogle-4.2.16/README.txt
hoogle.x86_64: W: no-manual-page-for-binary hoogle
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-hoogle-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(hoogle-4.2.16-50f3cbabdd973736194b11f8b16c190b)
    ghc-compiler
    ghc-devel(Cabal-1.14.0-ee5d5930b8c0a09a410602c13d744008)
    ghc-devel(array-0.4.0.0-0b6c5ca7e879a14d110ca4c001dd9297)
    ghc-devel(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc-devel(binary-0.5.1.0-1dd25e339bc04e2d8ca8103c35947bf6)
    ghc-devel(blaze-builder-0.3.1.0-316b0e68f80ee32ff786c8cf5345f501)
    ghc-devel(bytestring-0.9.2.1-503e91bb155301fdb1956cb5c26ce6e9)
    ghc-devel(case-insensitive-0.4.0.3-2e1950bbd06bb002e45affc090ce10da)
    ghc-devel(cmdargs-0.10-2956e233bbc2d8b692ec8ccd88505a38)
    ghc-devel(conduit-1.0.2-e874384ca3dd32d4c7c60f082d8a0436)
    ghc-devel(containers-0.4.2.1-75f143aa39a3e77a1ce2300025bdd8ce)
    ghc-devel(directory-1.1.0.2-c30059d750d04b32316f9eeced589f8a)
    ghc-devel(filepath-1.3.0.0-f998e5510c76a98913f57b14b4f16c57)
    ghc-devel(haskell-src-exts-1.13.5-d9e94c242c5bf1721d44315460689887)
    ghc-devel(http-types-0.7.3.0.1-58237e97c8645fca8a174e7253be8120)
    ghc-devel(old-locale-1.0.0.4-5e45cabd3b4fdcad9e353ea3845f5ef7)
    ghc-devel(old-time-1.1.0.0-703543375fafbcbe67bc51a758e84f10)
    ghc-devel(parsec-3.1.3-771f99c8818551756b6f2ec3e86ab039)
    ghc-devel(process-1.1.0.1-608c248c1528f46eb960a08cead77291)
    ghc-devel(random-1.0.1.1-a214067181e8a7676a1be5e452419444)
    ghc-devel(safe-0.3.3-2e88224aa98500bc4dcbbdfb58ba6a17)
    ghc-devel(tagsoup-0.12.8-05898bc25a1898cc6cafd7e4d6fd8e5c)
    ghc-devel(time-1.4-d61e2caaa0486655b4e141dc277ed49f)
    ghc-devel(transformers-0.3.0.0-8e66ecc7d4dae2b07b2b5406908c70e4)
    ghc-devel(uniplate-1.6.7-a79a8b4834c561964da115d92ceeb9fd)
    ghc-devel(unix-2.5.1.1-fbeb2e9e8451ca52838bf4a3783c437c)
    ghc-devel(wai-1.4.0-03edb3cb0191944539d522ce89fc3af8)
    ghc-devel(warp-1.3.7.4-3414bcc6dd2c6032cb01685db95d87c8)
    ghc-hoogle(x86-64)

ghc-hoogle (rpmlib, GLIBC filtered):
    ghc(Cabal-1.14.0-ee5d5930b8c0a09a410602c13d744008)
    ghc(array-0.4.0.0-0b6c5ca7e879a14d110ca4c001dd9297)
    ghc(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc(binary-0.5.1.0-1dd25e339bc04e2d8ca8103c35947bf6)
    ghc(blaze-builder-0.3.1.0-316b0e68f80ee32ff786c8cf5345f501)
    ghc(bytestring-0.9.2.1-503e91bb155301fdb1956cb5c26ce6e9)
    ghc(case-insensitive-0.4.0.3-2e1950bbd06bb002e45affc090ce10da)
    ghc(cmdargs-0.10-2956e233bbc2d8b692ec8ccd88505a38)
    ghc(conduit-1.0.2-e874384ca3dd32d4c7c60f082d8a0436)
    ghc(containers-0.4.2.1-75f143aa39a3e77a1ce2300025bdd8ce)
    ghc(directory-1.1.0.2-c30059d750d04b32316f9eeced589f8a)
    ghc(filepath-1.3.0.0-f998e5510c76a98913f57b14b4f16c57)
    ghc(haskell-src-exts-1.13.5-d9e94c242c5bf1721d44315460689887)
    ghc(http-types-0.7.3.0.1-58237e97c8645fca8a174e7253be8120)
    ghc(old-locale-1.0.0.4-5e45cabd3b4fdcad9e353ea3845f5ef7)
    ghc(old-time-1.1.0.0-703543375fafbcbe67bc51a758e84f10)
    ghc(parsec-3.1.3-771f99c8818551756b6f2ec3e86ab039)
    ghc(process-1.1.0.1-608c248c1528f46eb960a08cead77291)
    ghc(random-1.0.1.1-a214067181e8a7676a1be5e452419444)
    ghc(safe-0.3.3-2e88224aa98500bc4dcbbdfb58ba6a17)
    ghc(tagsoup-0.12.8-05898bc25a1898cc6cafd7e4d6fd8e5c)
    ghc(time-1.4-d61e2caaa0486655b4e141dc277ed49f)
    ghc(transformers-0.3.0.0-8e66ecc7d4dae2b07b2b5406908c70e4)
    ghc(uniplate-1.6.7-a79a8b4834c561964da115d92ceeb9fd)
    ghc(unix-2.5.1.1-fbeb2e9e8451ca52838bf4a3783c437c)
    ghc(wai-1.4.0-03edb3cb0191944539d522ce89fc3af8)
    ghc(warp-1.3.7.4-3414bcc6dd2c6032cb01685db95d87c8)
    libHSCabal-1.14.0-ghc7.4.2.so()(64bit)
    libHSarray-0.4.0.0-ghc7.4.2.so()(64bit)
    libHSbase-4.5.1.0-ghc7.4.2.so()(64bit)
    libHSbase-unicode-symbols-0.2.2.4-ghc7.4.2.so()(64bit)
    libHSbinary-0.5.1.0-ghc7.4.2.so()(64bit)
    libHSblaze-builder-0.3.1.0-ghc7.4.2.so()(64bit)
    libHSblaze-builder-conduit-1.0.0-ghc7.4.2.so()(64bit)
    libHSbytestring-0.9.2.1-ghc7.4.2.so()(64bit)
    libHScase-insensitive-0.4.0.3-ghc7.4.2.so()(64bit)
    libHScmdargs-0.10-ghc7.4.2.so()(64bit)
    libHSconduit-1.0.2-ghc7.4.2.so()(64bit)
    libHScontainers-0.4.2.1-ghc7.4.2.so()(64bit)
    libHScpphs-1.14-ghc7.4.2.so()(64bit)
    libHSdeepseq-1.3.0.0-ghc7.4.2.so()(64bit)
    libHSdirectory-1.1.0.2-ghc7.4.2.so()(64bit)
    libHSfilepath-1.3.0.0-ghc7.4.2.so()(64bit)
    libHSghc-prim-0.2.0.0-ghc7.4.2.so()(64bit)
    libHShashable-1.1.2.5-ghc7.4.2.so()(64bit)
    libHShaskell-src-exts-1.13.5-ghc7.4.2.so()(64bit)
    libHShttp-types-0.7.3.0.1-ghc7.4.2.so()(64bit)
    libHSinteger-gmp-0.4.0.0-ghc7.4.2.so()(64bit)
    libHSlifted-base-0.1.2-ghc7.4.2.so()(64bit)
    libHSmonad-control-0.3.1.4-ghc7.4.2.so()(64bit)
    libHSmtl-2.1.2-ghc7.4.2.so()(64bit)
    libHSnetwork-2.3.1.0-ghc7.4.2.so()(64bit)
    libHSnetwork-conduit-1.0.0-ghc7.4.2.so()(64bit)
    libHSold-locale-1.0.0.4-ghc7.4.2.so()(64bit)
    libHSold-time-1.1.0.0-ghc7.4.2.so()(64bit)
    libHSparsec-3.1.3-ghc7.4.2.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.4.2.so()(64bit)
    libHSprocess-1.1.0.1-ghc7.4.2.so()(64bit)
    libHSrandom-1.0.1.1-ghc7.4.2.so()(64bit)
    libHSresourcet-0.4.5-ghc7.4.2.so()(64bit)
    libHSsafe-0.3.3-ghc7.4.2.so()(64bit)
    libHSsemigroups-0.8.4.1-ghc7.4.2.so()(64bit)
    libHSsimple-sendfile-0.2.8-ghc7.4.2.so()(64bit)
    libHSsyb-0.3.7-ghc7.4.2.so()(64bit)
    libHStagsoup-0.12.8-ghc7.4.2.so()(64bit)
    libHStemplate-haskell-2.7.0.0-ghc7.4.2.so()(64bit)
    libHStext-0.11.2.3-ghc7.4.2.so()(64bit)
    libHStime-1.4-ghc7.4.2.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.4.2.so()(64bit)
    libHStransformers-base-0.4.1-ghc7.4.2.so()(64bit)
    libHSuniplate-1.6.7-ghc7.4.2.so()(64bit)
    libHSunix-2.5.1.1-ghc7.4.2.so()(64bit)
    libHSunix-compat-0.4.0.0-ghc7.4.2.so()(64bit)
    libHSunordered-containers-0.2.2.1-ghc7.4.2.so()(64bit)
    libHSvault-0.2.0.1-ghc7.4.2.so()(64bit)
    libHSvoid-0.5.8-ghc7.4.2.so()(64bit)
    libHSwai-1.4.0-ghc7.4.2.so()(64bit)
    libHSwarp-1.3.7.4-ghc7.4.2.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

hoogle (rpmlib, GLIBC filtered):
    ghc(Cabal-1.14.0-ee5d5930b8c0a09a410602c13d744008)
    ghc(array-0.4.0.0-0b6c5ca7e879a14d110ca4c001dd9297)
    ghc(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc(base-unicode-symbols-0.2.2.4-47de1db137e54c7919bd23c17263184a)
    ghc(binary-0.5.1.0-1dd25e339bc04e2d8ca8103c35947bf6)
    ghc(blaze-builder-0.3.1.0-316b0e68f80ee32ff786c8cf5345f501)
    ghc(blaze-builder-conduit-1.0.0-5060c72d2a0b80db9c19677897edf112)
    ghc(bytestring-0.9.2.1-503e91bb155301fdb1956cb5c26ce6e9)
    ghc(case-insensitive-0.4.0.3-2e1950bbd06bb002e45affc090ce10da)
    ghc(cmdargs-0.10-2956e233bbc2d8b692ec8ccd88505a38)
    ghc(conduit-1.0.2-e874384ca3dd32d4c7c60f082d8a0436)
    ghc(containers-0.4.2.1-75f143aa39a3e77a1ce2300025bdd8ce)
    ghc(cpphs-1.14-b2d77a0c7ae3c3df4cd45483fb1410c4)
    ghc(deepseq-1.3.0.0-c26e15897417ecd448742528253d68f6)
    ghc(directory-1.1.0.2-c30059d750d04b32316f9eeced589f8a)
    ghc(filepath-1.3.0.0-f998e5510c76a98913f57b14b4f16c57)
    ghc(ghc-prim-0.2.0.0-7d3c2c69a5e8257a04b2c679c40e2fa7)
    ghc(hashable-1.1.2.5-14291f3b4e96b5599759ce7daa2bd37c)
    ghc(haskell-src-exts-1.13.5-d9e94c242c5bf1721d44315460689887)
    ghc(http-types-0.7.3.0.1-58237e97c8645fca8a174e7253be8120)
    ghc(integer-gmp-0.4.0.0-af3a28fdc4138858e0c7c5ecc2a64f43)
    ghc(lifted-base-0.1.2-4c15f746e21e6c2c8eeb681d2ea22da0)
    ghc(monad-control-0.3.1.4-83560fedcd54bda582bc1867a61c5f8a)
    ghc(mtl-2.1.2-02e701f9b1590ee88a0b5b0bd5d93a29)
    ghc(network-2.3.1.0-efa1c7220c576804829351b700849052)
    ghc(network-conduit-1.0.0-909b55f8f60d51be8be60c0dd56dd99d)
    ghc(old-locale-1.0.0.4-5e45cabd3b4fdcad9e353ea3845f5ef7)
    ghc(old-time-1.1.0.0-703543375fafbcbe67bc51a758e84f10)
    ghc(parsec-3.1.3-771f99c8818551756b6f2ec3e86ab039)
    ghc(pretty-1.1.1.0-91ed62f0481a81d292d550eec35ee75b)
    ghc(process-1.1.0.1-608c248c1528f46eb960a08cead77291)
    ghc(random-1.0.1.1-a214067181e8a7676a1be5e452419444)
    ghc(resourcet-0.4.5-5c9b76fb82948164bbb2fc8aa8219f67)
    ghc(safe-0.3.3-2e88224aa98500bc4dcbbdfb58ba6a17)
    ghc(semigroups-0.8.4.1-4d3a86b037504e6000a0354510588745)
    ghc(simple-sendfile-0.2.8-7d7307dabc0fa35888cd3d9701d0189d)
    ghc(syb-0.3.7-60af41a2377e93620710d393692aff24)
    ghc(tagsoup-0.12.8-05898bc25a1898cc6cafd7e4d6fd8e5c)
    ghc(template-haskell-2.7.0.0-2bd128e15c2d50997ec26a1eaf8b23bf)
    ghc(text-0.11.2.3-db61832d0c4660614c4ceff234ed4abb)
    ghc(time-1.4-d61e2caaa0486655b4e141dc277ed49f)
    ghc(transformers-0.3.0.0-8e66ecc7d4dae2b07b2b5406908c70e4)
    ghc(transformers-base-0.4.1-8ce92ed550a5d340c6fea5db639117cb)
    ghc(uniplate-1.6.7-a79a8b4834c561964da115d92ceeb9fd)
    ghc(unix-2.5.1.1-fbeb2e9e8451ca52838bf4a3783c437c)
    ghc(unix-compat-0.4.0.0-995359133a2432f240c8d66b5fc897af)
    ghc(unordered-containers-0.2.2.1-d70d5ccb1df11dbbbaac89571b1ee46d)
    ghc(vault-0.2.0.1-b7144b7d48b0936950b66c5c7b73cb8b)
    ghc(void-0.5.8-c8900b8468055c6fd3782c60be06ebd7)
    ghc(wai-1.4.0-03edb3cb0191944539d522ce89fc3af8)
    ghc(warp-1.3.7.4-3414bcc6dd2c6032cb01685db95d87c8)
    libHSCabal-1.14.0-ghc7.4.2.so()(64bit)
    libHSarray-0.4.0.0-ghc7.4.2.so()(64bit)
    libHSbase-4.5.1.0-ghc7.4.2.so()(64bit)
    libHSbase-unicode-symbols-0.2.2.4-ghc7.4.2.so()(64bit)
    libHSbinary-0.5.1.0-ghc7.4.2.so()(64bit)
    libHSblaze-builder-0.3.1.0-ghc7.4.2.so()(64bit)
    libHSblaze-builder-conduit-1.0.0-ghc7.4.2.so()(64bit)
    libHSbytestring-0.9.2.1-ghc7.4.2.so()(64bit)
    libHScase-insensitive-0.4.0.3-ghc7.4.2.so()(64bit)
    libHScmdargs-0.10-ghc7.4.2.so()(64bit)
    libHSconduit-1.0.2-ghc7.4.2.so()(64bit)
    libHScontainers-0.4.2.1-ghc7.4.2.so()(64bit)
    libHScpphs-1.14-ghc7.4.2.so()(64bit)
    libHSdeepseq-1.3.0.0-ghc7.4.2.so()(64bit)
    libHSdirectory-1.1.0.2-ghc7.4.2.so()(64bit)
    libHSfilepath-1.3.0.0-ghc7.4.2.so()(64bit)
    libHSghc-prim-0.2.0.0-ghc7.4.2.so()(64bit)
    libHShashable-1.1.2.5-ghc7.4.2.so()(64bit)
    libHShaskell-src-exts-1.13.5-ghc7.4.2.so()(64bit)
    libHShttp-types-0.7.3.0.1-ghc7.4.2.so()(64bit)
    libHSinteger-gmp-0.4.0.0-ghc7.4.2.so()(64bit)
    libHSlifted-base-0.1.2-ghc7.4.2.so()(64bit)
    libHSmonad-control-0.3.1.4-ghc7.4.2.so()(64bit)
    libHSmtl-2.1.2-ghc7.4.2.so()(64bit)
    libHSnetwork-2.3.1.0-ghc7.4.2.so()(64bit)
    libHSnetwork-conduit-1.0.0-ghc7.4.2.so()(64bit)
    libHSold-locale-1.0.0.4-ghc7.4.2.so()(64bit)
    libHSold-time-1.1.0.0-ghc7.4.2.so()(64bit)
    libHSparsec-3.1.3-ghc7.4.2.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.4.2.so()(64bit)
    libHSprocess-1.1.0.1-ghc7.4.2.so()(64bit)
    libHSrandom-1.0.1.1-ghc7.4.2.so()(64bit)
    libHSresourcet-0.4.5-ghc7.4.2.so()(64bit)
    libHSrts-ghc7.4.2.so()(64bit)
    libHSsafe-0.3.3-ghc7.4.2.so()(64bit)
    libHSsemigroups-0.8.4.1-ghc7.4.2.so()(64bit)
    libHSsimple-sendfile-0.2.8-ghc7.4.2.so()(64bit)
    libHSsyb-0.3.7-ghc7.4.2.so()(64bit)
    libHStagsoup-0.12.8-ghc7.4.2.so()(64bit)
    libHStemplate-haskell-2.7.0.0-ghc7.4.2.so()(64bit)
    libHStext-0.11.2.3-ghc7.4.2.so()(64bit)
    libHStime-1.4-ghc7.4.2.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.4.2.so()(64bit)
    libHStransformers-base-0.4.1-ghc7.4.2.so()(64bit)
    libHSuniplate-1.6.7-ghc7.4.2.so()(64bit)
    libHSunix-2.5.1.1-ghc7.4.2.so()(64bit)
    libHSunix-compat-0.4.0.0-ghc7.4.2.so()(64bit)
    libHSunordered-containers-0.2.2.1-ghc7.4.2.so()(64bit)
    libHSvault-0.2.0.1-ghc7.4.2.so()(64bit)
    libHSvoid-0.5.8-ghc7.4.2.so()(64bit)
    libHSwai-1.4.0-ghc7.4.2.so()(64bit)
    libHSwarp-1.3.7.4-ghc7.4.2.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libffi.so.6()(64bit)
    libgmp.so.10()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

Provides
--------
ghc-hoogle-devel:
    ghc-devel(hoogle-4.2.16-50f3cbabdd973736194b11f8b16c190b)
    ghc-hoogle-devel
    ghc-hoogle-devel(x86-64)

ghc-hoogle:
    ghc(hoogle-4.2.16-50f3cbabdd973736194b11f8b16c190b)
    ghc-hoogle
    ghc-hoogle(x86-64)
    libHShoogle-4.2.16-ghc7.4.2.so()(64bit)

hoogle:
    hoogle
    hoogle(x86-64)

Unversioned so-files
--------------------
ghc-hoogle: /usr/lib64/ghc-7.4.2/hoogle-4.2.16/libHShoogle-4.2.16-ghc7.4.2.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/hoogle/4.2.16/hoogle-4.2.16.tar.gz :
  CHECKSUM(SHA256) this package     : 0a39ec2557928866fce8dd79edc51fae529b4586aef7dd49956ae66621e655c1
  CHECKSUM(SHA256) upstream package : 0a39ec2557928866fce8dd79edc51fae529b4586aef7dd49956ae66621e655c1

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1008083
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Successful Koji builds:

F19 http://koji.fedoraproject.org/koji/taskinfo?taskID=5954876
F20 http://koji.fedoraproject.org/koji/taskinfo?taskID=5954874

The build is failing on F18:

F18 http://koji.fedoraproject.org/koji/taskinfo?taskID=5954875

"Setup: At least the following dependencies are missing:
http-types >=0.7"
Comment 4 Jens Petersen 2013-09-29 07:28:09 EDT
Thanks for reviewing.

(In reply to Shakthi Kannan from comment #3)
> - Static libraries in -static or -devel subpackage, providing -devel if
>   present.

I released cabal-rpm-0.8.5 which is now going into updates-testing
which adds a static Provides to the devel subpackage.

>   Note: Package has .a files: ghc-hoogle-devel. Does not provide -static:
> ghc-hoogle-devel.

Note there seems to be a big in fedora-review where it checks
for requires instead provides static: so even after fixing this
it will still show up as a false positive.  I opened a fedora-review
bug with a patch to fix this.  See bug 1012873.

> - Large documentation must go in a -doc subpackage. Large could be size
> (~1MB) or number of files.
>   Note: Documentation size is 1239040 bytes in 64 files.

It is fairly large but still small compared to the total devel pkg size.
The devel pkg is only about 1.4MB anyway.  So I feel it could be waived.

> [-]: Package is not known to require an ExcludeArch tag.

Actually it excludes armv7hl since conduit is not building with ghc-7.6.3.
It should be able to build on f19 arm I suppose: so maybe I should
restrict the excludes to f20 (and f21 for now).

> Generic:
> [-]: Large data in /usr/share should live in a noarch subpackage if package
> is arched.
>      Note: Arch-ed rpms have a total of 1443840 bytes in /usr/share

This is mostly the large docs: anyway ghc does not support multilib.

I noticed there is a copy of jquery in source data dir
but fortunately it is not packaged (yet).  Hopefully jquery
will be packaged in fedora before we have yesod to enable
the hoogle web app.

> hoogle.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/hoogle-4.2.16/README.txt

Fixing

> hoogle.x86_64: W: no-manual-page-for-binary hoogle
> 4 packages and 0 specfiles checked; 0 errors, 2 warnings.

(The hoogle "manual" http://www.haskell.org/haskellwiki/Hoogle
refers to README.md (in git) as the "manpage".)

> The build is failing on F18:
>  http://koji.fedoraproject.org/koji/taskinfo?taskID=5954875
> "Setup: At least the following dependencies are missing:
> http-types >=0.7"

hoogle-4.2.11 should be able to build with http-types-0.6.
Comment 6 Shakthi Kannan 2013-10-03 06:40:42 EDT
The scratch build got cancelled for F21 x86_64 and i686. The same with F20:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=6019328

It fails on F18 because of:

  http-types >=0.7

It builds fine on F19 though:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=6019322
Comment 7 Jens Petersen 2013-10-04 05:24:03 EDT
(In reply to Shakthi Kannan from comment #6)
> The scratch build got cancelled for F21 x86_64 and i686. The same with F20:
>   http://koji.fedoraproject.org/koji/taskinfo?taskID=6019328

Yes sorry I was aware of the failure but I am not sure yet
why the conditional on ExclusiveArch does not work.

> It fails on F18 because of:
>   http-types >=0.7

I know - it does not block this review. :)
See end of comment 4.

> It builds fine on F19 though:

The failure for F20+ is because I tried to only exclude arm for them
but it is not working somehow:

>> Actually it excludes armv7hl since conduit is not building with ghc-7.6.3.
>> It should be able to build on f19 arm I suppose: so maybe I should
>> restrict the excludes to f20 (and f21 for now).

Will update soon to avoid building on F20+ arm for now.

Also please ignore my earlier comment about "yesod" - hoogle
just using wai for its webapp.  So maybe it does expect jquery perhaps
- need to test it.  But maybe we could just not ship jquery for now...
Comment 8 Jens Petersen 2013-10-09 23:43:09 EDT
(In reply to Jens Petersen from comment #7)
> So maybe it does expect jquery perhaps - need to test it.  

Yeah, it is in datadir/resources/ and definitely used by "hoogle server".

> But maybe we could just not ship jquery for now...

That is still an option though not very attractive
- for now I added jquery as a dependency of this bug to track this.


Spec: http://petersen.fedorapeople.org/reviews/hoogle/hoogle.spec
SRPM: http://petersen.fedorapeople.org/reviews/hoogle/hoogle-4.2.16-3.fc19.src.rpm

Koji f21 scratch build now completes:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6045227
Comment 9 Murray McAllister 2014-07-29 01:49:11 EDT
Hi,

There was a flaw reported in the Debian bug tracker about an insecure download:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=756334

This should be avoided in the Fedora packages if the problem exists there.

Note You need to log in before you can comment on or make changes to this bug.